Bug 191567 - Web Inspector: Styles: SpreadsheetCSSStyleDeclarationEditor.prototype.editing getter is inaccurate
Summary: Web Inspector: Styles: SpreadsheetCSSStyleDeclarationEditor.prototype.editing...
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Nikita Vasilyev
URL:
Keywords: InRadar
Depends on: 192282
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-12 15:15 PST by Nikita Vasilyev
Modified: 2019-06-26 18:48 PDT (History)
2 users (show)

See Also:


Attachments
WIP (7.07 KB, patch)
2018-11-15 12:26 PST, Nikita Vasilyev
nvasilyev: review-
nvasilyev: commit-queue-
Details | Formatted Diff | Diff
WIP (5.61 KB, patch)
2018-12-05 15:18 PST, Nikita Vasilyev
nvasilyev: review-
nvasilyev: commit-queue-
Details | Formatted Diff | Diff
[Animated GIF] With patch applied (97.98 KB, image/gif)
2018-12-05 15:22 PST, Nikita Vasilyev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Vasilyev 2018-11-12 15:15:54 PST
With Selection of Multiple Properties setting enabled, this code is no longer accurate:

    get editing()
    {
        return this._focused || this._inlineSwatchActive;
    }

When a property is selected, this getter inaccurately returns true.
Comment 1 Radar WebKit Bug Importer 2018-11-12 15:16:20 PST
<rdar://problem/46005705>
Comment 2 Nikita Vasilyev 2018-11-15 12:26:40 PST
Created attachment 354969 [details]
WIP

This is NOT ready for review. I'm tabling this for now.
Comment 3 Nikita Vasilyev 2018-12-05 15:18:28 PST
Created attachment 356667 [details]
WIP
Comment 4 Nikita Vasilyev 2018-12-05 15:22:05 PST
Created attachment 356668 [details]
[Animated GIF] With patch applied

This WIP introduces a bizarre regression. I didn't realize this refactoring would be so tricky.
Comment 5 Nikita Vasilyev 2019-06-26 18:48:57 PDT
This is a low-benefit / high-risk task. I'm not planning working on this.